DeletePrivateZoneRecord

1. API Description

This API (DeletePrivateZoneRecord) is used to Delete the DNS records of a DNS Zone.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

Yes

String

DNS Zone ID.

recordIds

Yes

Array of String

The ID list of the DNS records to be deleted.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Batch delete DNS records under a certain DNS Zone.

POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DeletePrivateZoneRecord
<Common Request Params>

Request:
{
  "zoneId": "<zoneId>",
  "recordIds": [
    "<recordId-1>",
    "<recordId-2>"
  ]
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_PRIVATE_ZONE_NOT_FOUND

DNS Zone does not exist.

404

INVALID_PRIVATE_ZONE_RECORD_NOT_FOUND

The DNS record does not exist.

Last updated